Bug 425757 - Drag and drop mp3s into audacious not possible anymore
Summary: Drag and drop mp3s into audacious not possible anymore
Status: RESOLVED FIXED
Alias: None
Product: dolphin
Classification: Applications
Component: general (show other bugs)
Version: 20.08.0
Platform: Other Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Dolphin Bug Assignee
URL:
Keywords: regression
Depends on:
Blocks:
 
Reported: 2020-08-24 20:16 UTC by H.H.
Modified: 2020-09-05 20:54 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 20.08.2


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description H.H. 2020-08-24 20:16:19 UTC
SUMMARY
When I try to drag and drop mp3-files into audacious (qt, version 4.05) audacious always shows a forbidden sign.

This worked before.

I installed additionally pcmanfm-qt to be able to compare, if it works from other filemanager, and it works with pcmanfm-qt. So I suppose, that the bug is in dolphin?

STEPS TO REPRODUCE
1. drag and drop one or multiple mp3-file from dolphin onto audacious

OBSERVED RESULT
it is not accepted

EXPECTED RESULT
it should be accepted

SOFTWARE/OS VERSIONS
Linux/KDE Plasma: opensuse factory, Linux (x86_64) release 5.8.0-1-default
(available in About System)
KDE Plasma Version: 5.19.4
KDE Frameworks Version: 5.73.0
Qt Version: 5.15.0

ADDITIONAL INFORMATION
Comment 1 Nikos Chantziaras 2020-09-01 12:32:05 UTC
Same thing when trying to drag&drop image files into the eog (Eye Of Gnome) image viewer. Downgrading to Dolphin 20.04.3 fixes it.
Comment 2 Elvis Angelaccio 2020-09-05 20:54:45 UTC
Git commit aee26d29f188427186b6aaba1c54a205c17b3dc6 by Elvis Angelaccio.
Committed on 05/09/2020 at 20:51.
Pushed by elvisangelaccio into branch 'release/20.08'.

Revert "Set a better defaultDropAction for dragging"

This reverts commit 4440e961a07aaee5b5da7c8967ff05de14808ad4.
Related: bug 426196
FIXED-IN: 20.08.2

M  +1    -1    src/kitemviews/kitemlistcontroller.cpp

https://invent.kde.org/system/dolphin/commit/aee26d29f188427186b6aaba1c54a205c17b3dc6